From 40b8e8ab8326e5baca985f66d9d1ba1f4ec168e7 Mon Sep 17 00:00:00 2001
From: Shaily <shaily15297@yahoo.com>
Date: Feb 05 2018 14:33:19 +0000
Subject: [PATCH 30/32] Issues: Fix lint warnings


---

diff --git a/hubs/models/hub.py b/hubs/models/hub.py
index 7514277..b45eb2e 100644
--- a/hubs/models/hub.py
+++ b/hubs/models/hub.py
@@ -313,9 +313,10 @@ class Hub(ObjectAuthzMixin, BASE):
         }
         if result["config"]["description"]:
             result["description_md2html"] = {
-                '__html': clean_input.clean(markdown(result["config"]["description"],
-                                                     extensions=['markdown.extensions.extra',
-                                                                 'markdown.extensions.sane_lists']))
+                '__html': clean_input.clean(markdown(
+                    result["config"]["description"],
+                    extensions=['markdown.extensions.extra',
+                                'markdown.extensions.sane_lists']))
             }
         for assoc in sorted(self.associations, key=lambda a: a.user.username):
             if assoc.role not in ROLES:
diff --git a/hubs/utils/validators.py b/hubs/utils/validators.py
index f319188..602770a 100644
--- a/hubs/utils/validators.py
+++ b/hubs/utils/validators.py
@@ -110,7 +110,8 @@ def FMNContext(value):
 def PagureUser(value):
     """Fails if the Pagure username does not exist."""
     try:
-        response = requests.get("/".join([PAGURE_URL, "user", value]), timeout=5)
+        response = requests.get("/".join([PAGURE_URL, "user", value]),
+                                timeout=5)
     except requests.exceptions.ReadTimeout:
         raise ValueError("Could not connect to Pagure, please try again.")
     if not response.ok:
diff --git a/hubs/widgets/issues/functions.py b/hubs/widgets/issues/functions.py
index aaa1987..8f1347a 100644
--- a/hubs/widgets/issues/functions.py
+++ b/hubs/widgets/issues/functions.py
@@ -8,18 +8,22 @@ class GetBugzillaBugs(CachedFunction):
 
     def execute(self):
         if self.instance.hub.hub_type == "stream":
-            user_hub = Hub.query.filter_by(name=self.instance.hub.name).first()
-            email = user_hub.config.get('bugzilla_email')
+            watched_hub = Hub.query.filter_by(
+                name=self.instance.hub.name).first()
         else:
-            email = self.instance.hub.config.get('bugzilla_email')
+            watched_hub = self.instance.hub
+        email = watched_hub.config.get('bugzilla_email')
         if email is None:
             return [[], None]
-        endpoint = 'https://bugzilla.redhat.com/jsonrpc.cgi?method=Bug.search&params=' \
-                   '[{{' \
-                   '"{}":"{}",' \
-                   '"status":["NEW","VERIFIED","ASSIGNED","MODIFIED","ON_DEV","ON_QA","RELEASE_PENDING","POST"]' \
+        endpoint = 'https://bugzilla.redhat.com/jsonrpc.cgi' \
+                   '?method=Bug.search&params=[{{"{}":"{}",' \
+                   '"status":["NEW","VERIFIED","ASSIGNED","MODIFIED",' \
+                   '"ON_DEV","ON_QA","RELEASE_PENDING","POST"]' \
                    '}}]'
-        mode = 'creator' if self.instance.config['mode'] == 'author' else 'assigned_to'
+        if self.instance.config['mode'] == 'author':
+            mode = 'creator'
+        else:
+            mode = 'assigned_to'
         response = requests.get(endpoint.format(mode, email)).json()
         issues = response['result']['bugs']
         urltmpl = 'https://bugzilla.redhat.com/show_bug.cgi?id={}'
@@ -39,7 +43,8 @@ class GetBugzillaBugs(CachedFunction):
 
     def should_invalidate(self, message):
         if self.instance.hub.hub_type == "stream":
-            watched_hub = Hub.query.filter_by(name=self.instance.hub.name).first()
+            watched_hub = Hub.query.filter_by(
+                name=self.instance.hub.name).first()
         else:
             watched_hub = self.instance.hub
         if message["topic"].endswith('.hubs.hub.updated'):
@@ -51,7 +56,8 @@ class GetBugzillaBugs(CachedFunction):
         mode = self.instance.config['mode']
         if message['topic'].endswith('bugzilla.bug.new') or \
            message['topic'].endswith('bugzilla.bug.update'):
-            return message['msg']['bug']['creator' if mode == 'author' else 'assigned_to'] == email
+            key = 'creator' if mode == 'author' else 'assigned_to'
+            return message['msg']['bug'][key] == email
         else:
             return False
 
@@ -60,16 +66,18 @@ class GetPagureIssues(CachedFunction):
 
     def execute(self):
         if self.instance.hub.hub_type == "stream":
-            user_hub = Hub.query.filter_by(name=self.instance.hub.name).first()
-            username = user_hub.config.get('pagure_username')
+            watched_hub = Hub.query.filter_by(
+                name=self.instance.hub.name).first()
         else:
-            username = self.instance.hub.config.get('pagure_username')
+            watched_hub = self.instance.hub
+        username = watched_hub.config.get('pagure_username')
         if username is None:
             return [[], None]
         endpoint = "https://pagure.io/api/0/user/{}/issues?author={}"
         author = self.instance.config['mode'] == 'author'
         response = requests.get(endpoint.format(username, author)).json()
-        issues = response['issues_created'] if author else response['issues_assigned']
+        issues = response['issues_created'] if author \
+            else response['issues_assigned']
         urltmpl = 'https://pagure.io/{}/issue/{}'
         res = []
         for issue in issues:
@@ -82,13 +90,15 @@ class GetPagureIssues(CachedFunction):
                 service='pagure',
                 icon='https://pagure.io/static/favicon.ico'
             ))
-        total_count = len(response['issues_created'] if author else response['issues_assigned'])
+        total_count = len(response['issues_created'] if author
+                          else response['issues_assigned'])
         return [res, total_count]
 
     def should_invalidate(self, message):
         mode = self.instance.config['mode']
         if self.instance.hub.hub_type == "stream":
-            watched_hub = Hub.query.filter_by(name=self.instance.hub.name).first()
+            watched_hub = Hub.query.filter_by(
+                name=self.instance.hub.name).first()
         else:
             watched_hub = self.instance.hub
         if message["topic"].endswith('.hubs.hub.updated'):
@@ -102,7 +112,8 @@ class GetPagureIssues(CachedFunction):
            message['topic'].endswith('pagure.issue.assigned.added') or \
            message['topic'].endswith('pagure.issue.assigned.reset') or \
            message['topic'].endswith('pagure.issue.drop'):
-            entry = message['msg']['issue']['user' if mode == 'author' else 'assignee']
+            key = 'user' if mode == 'author' else 'assignee'
+            entry = message['msg']['issue'][key]
             return entry and entry['name'] == username
         else:
             return False
@@ -112,14 +123,19 @@ class GetGithubIssues(CachedFunction):
 
     def execute(self):
         if self.instance.hub.hub_type == "stream":
-            user_hub = Hub.query.filter_by(name=self.instance.hub.name).first()
-            username = user_hub.config.get('github_username')
+            watched_hub = Hub.query.filter_by(
+                name=self.instance.hub.name).first()
         else:
-            username = self.instance.hub.config.get('github_username')
+            watched_hub = self.instance.hub
+        username = watched_hub.config.get('github_username')
         if username is None:
             return [[], None]
-        endpoint = "https://api.github.com/search/issues?q=type:issue+{}:{}+state:open&sort:updated"
-        mode = "author" if self.instance.config['mode'] == 'author' else "assignee"
+        endpoint = "https://api.github.com/search/issues?" \
+                   "q=type:issue+{}:{}+state:open&sort:updated"
+        if self.instance.config['mode'] == 'author':
+            mode = 'author'
+        else:
+            mode = 'assignee'
         response = requests.get(endpoint.format(mode, username)).json()
         issues = response['items']
         res = []
@@ -139,7 +155,8 @@ class GetGithubIssues(CachedFunction):
     def should_invalidate(self, message):
         mode = self.instance.config['mode']
         if self.instance.hub.hub_type == "stream":
-            watched_hub = Hub.query.filter_by(name=self.instance.hub.name).first()
+            watched_hub = Hub.query.filter_by(
+                name=self.instance.hub.name).first()
         else:
             watched_hub = self.instance.hub
         if message["topic"].endswith('.hubs.hub.updated'):
@@ -152,7 +169,8 @@ class GetGithubIssues(CachedFunction):
            message['topic'].endswith('github.issue.reopened') or \
            message['topic'].endswith('github.issue.edited') or \
            message['topic'].endswith('github.issue.closed'):
-            entry = message['msg']['issue']['user' if mode == 'author' else 'assignee']
+            key = 'user' if mode == 'author' else 'assignee'
+            entry = message['msg']['issue'][key]
             return entry and entry['login'] == username
         else:
             return False
diff --git a/hubs/widgets/issues/views.py b/hubs/widgets/issues/views.py
index f4ddc72..80f4566 100644
--- a/hubs/widgets/issues/views.py
+++ b/hubs/widgets/issues/views.py
@@ -1,7 +1,10 @@
-from hubs.widgets.view import WidgetView
-from .functions import *
 import arrow
 
+from hubs.widgets.view import WidgetView
+from hubs.models.hub import Hub
+
+from .functions import GetBugzillaBugs, GetGithubIssues, GetPagureIssues
+
 
 class DataView(WidgetView):
     """Get issues in JSON format."""
@@ -25,7 +28,8 @@ class DataView(WidgetView):
         if not (bugzilla_email or github_username or pagure_username):
             return dict(
                 status="ERROR",
-                message="You must configure VCS details in the hub configuration in order to use this widget."
+                message="You must configure VCS details in the hub "
+                        "configuration in order to use this widget."
             )
 
         [bugzilla, bzcnt] = GetBugzillaBugs(instance)()
@@ -42,26 +46,32 @@ class DataView(WidgetView):
         }
 
         if bzcnt is not None:
+            if instance.config['mode'] == 'author':
+                key = 'reporter'
+            else:
+                key = 'assigned_to'
             data['counts'].update({
                 'bugzilla': {'count': bzcnt,
-                             'link': 'https://bugzilla.redhat.com/buglist.cgi?quicksearch={}:{}'
-                                 .format('reporter' if instance.config['mode'] == 'author' else 'assigned_to',
-                                         bugzilla_email)
+                             'link': 'https://bugzilla.redhat.com/buglist.cgi?'
+                                     'quicksearch={}:{}'.format(key,
+                                                                bugzilla_email)
                              }
             })
 
         if pcnt is not None:
             data['counts'].update({
                 'pagure': {'count': pcnt,
-                           'link': 'https://pagure.io/user/{}/issues'.format(pagure_username)
+                           'link': 'https://pagure.io/user/'
+                                   '{}/issues'.format(pagure_username)
                            }
             })
 
         if ghcnt is not None:
             data['counts'].update({
                 'github': {'count': ghcnt,
-                           'link': 'https://github.com/issues?q=type:issue+state:open+{}:{}'
-                               .format(instance.config['mode'], github_username)
+                           'link': 'https://github.com/issues?q=type:issue'
+                                   '+state:open+{}:{}'.format(
+                                    instance.config['mode'], github_username)
                            }
             })
 

